package org.apache.commons.lang3.function;

import java.lang.Throwable;

@FunctionalInterface
/* loaded from: org_apache_commons_lang3_function.jar:org/apache/commons/lang3/function/FailableToIntFunction.class */
public interface FailableToIntFunction<T, E extends Throwable> {
    public static final FailableToIntFunction NOP = t -> {
        return 0;
    };

    int applyAsInt(T t) throws Throwable;

    static <T, E extends Throwable> FailableToIntFunction<T, E> nop() {
        return NOP;
    }
}
